
package com.example.switchyard.service.impl;

import javax.xml.bind.JAXBElement;
import javax.xml.bind.annotation.XmlElementDecl;
import javax.xml.bind.annotation.XmlRegistry;
import javax.xml.namespace.QName;


/**
 * This object contains factory methods for each 
 * Java content interface and Java element interface 
 * generated in the com.example.switchyard.service.impl package. 
 * <p>An ObjectFactory allows you to programatically 
 * construct new instances of the Java representation 
 * for XML content. The Java representation of XML 
 * content can consist of schema derived interfaces 
 * and classes representing the binding of schema 
 * type definitions, element declarations and model 
 * groups.  Factory methods for each of these are 
 * provided in this class.
 * 
 */
@XmlRegistry
public class ObjectFactory {

    private final static QName _GetAnomalyResponse_QNAME = new QName("http://figo.atos.it/", "getAnomalyResponse");
    private final static QName _GetFrequentItemSet_QNAME = new QName("http://figo.atos.it/", "getFrequentItemSet");
    private final static QName _GetFrequentItemSetResponse_QNAME = new QName("http://figo.atos.it/", "getFrequentItemSetResponse");
    private final static QName _GetAnomaly_QNAME = new QName("http://figo.atos.it/", "getAnomaly");

    /**
     * Create a new ObjectFactory that can be used to create new instances of schema derived classes for package: com.example.switchyard.service.impl
     * 
     */
    public ObjectFactory() {
    }

    /**
     * Create an instance of {@link GetAnomalyResponse }
     * 
     */
    public GetAnomalyResponse createGetAnomalyResponse() {
        return new GetAnomalyResponse();
    }

    /**
     * Create an instance of {@link GetFrequentItemSetResponse }
     * 
     */
    public GetFrequentItemSetResponse createGetFrequentItemSetResponse() {
        return new GetFrequentItemSetResponse();
    }

    /**
     * Create an instance of {@link GetFrequentItemSet }
     * 
     */
    public GetFrequentItemSet createGetFrequentItemSet() {
        return new GetFrequentItemSet();
    }

    /**
     * Create an instance of {@link GetAnomaly }
     * 
     */
    public GetAnomaly createGetAnomaly() {
        return new GetAnomaly();
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAnomalyResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://figo.atos.it/", name = "getAnomalyResponse")
    public JAXBElement<GetAnomalyResponse> createGetAnomalyResponse(GetAnomalyResponse value) {
        return new JAXBElement<GetAnomalyResponse>(_GetAnomalyResponse_QNAME, GetAnomalyResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetFrequentItemSet }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://figo.atos.it/", name = "getFrequentItemSet")
    public JAXBElement<GetFrequentItemSet> createGetFrequentItemSet(GetFrequentItemSet value) {
        return new JAXBElement<GetFrequentItemSet>(_GetFrequentItemSet_QNAME, GetFrequentItemSet.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetFrequentItemSetResponse }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://figo.atos.it/", name = "getFrequentItemSetResponse")
    public JAXBElement<GetFrequentItemSetResponse> createGetFrequentItemSetResponse(GetFrequentItemSetResponse value) {
        return new JAXBElement<GetFrequentItemSetResponse>(_GetFrequentItemSetResponse_QNAME, GetFrequentItemSetResponse.class, null, value);
    }

    /**
     * Create an instance of {@link JAXBElement }{@code <}{@link GetAnomaly }{@code >}}
     * 
     */
    @XmlElementDecl(namespace = "http://figo.atos.it/", name = "getAnomaly")
    public JAXBElement<GetAnomaly> createGetAnomaly(GetAnomaly value) {
        return new JAXBElement<GetAnomaly>(_GetAnomaly_QNAME, GetAnomaly.class, null, value);
    }

}
